slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetNumMatrices

Returns the number of matrices stored in the ST.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetNumMatrices(ST st,PetscInt *n)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameters

| n | - the number of matrices passed in STSetMatrices()

### See Also

STSetMatrices()

### Level

intermediate

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages